Class UmlReduceAction

Declaration :

- C++ : class UmlReduceAction : public UmlBaseReduceAction
- Java : package class UmlReduceAction extends UmlBaseReduceAction

Artifact : UmlActivityActionClasses

Operation UmlReduceAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlReduceAction(in id : item_id, in s : string) :
- C++ : public: UmlReduceAction(void * id, const QCString & s) : UmlBaseReduceAction(id, s)
- Java : public UmlReduceAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isOrdered , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , reducer , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isOrdered , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Reducer , set_Stereotype , stereotype , supportFile , unload , unload